## nifti2dicom 0.4.5

=== CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from 
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required(VERSION 2.6.2)
project(Nifti2Dicom)

set(Nifti2Dicom_MAJOR_VERSION "0")
set(Nifti2Dicom_MINOR_VERSION "4")
set(Nifti2Dicom_PATCH_VERSION "5")
set(Nifti2Dicom_VERSION "0.4.5")
set(Nifti2Dicom_INTERNAL_VERSION "${Nifti2Dicom_MAJOR_VERSION}.${Nifti2Dicom_MINOR_VERSION}.${Nifti2Dicom_PATCH_VERSION}")


#Check pkg-config
find_package(PkgConfig)
#TODO error if not found

#Check TCLAP Library [Templatized C++ Command Line Parser] (1.2.0)
pkg_check_modules(TCLAP REQUIRED tclap>=1.2.0)
if(TCLAP_FOUND)
    include_directories(${TCLAP_INCLUDE_DIRS})
else(TCLAP_FOUND)
    message(FATAL_ERROR "TCLAP not found")
endif(TCLAP_FOUND)


# Check ITK Library [Insight ToolKit] (3.17.0)
find_package(ITK)
if(ITK_FOUND)
    include(${ITK_USE_FILE})
else(ITK_FOUND)
    message(FATAL_ERROR "ITK not found")
endif(ITK_FOUND)


#TODO Check GDCM Library [Grassroots DiCoM] (2.1.13)
#find_package(GDCM REQUIRED)
#message("GDCM_VERSION = " ${GDCM_VERSION})
#if(GDCM_FOUND)
#    include(${GDCM_USE_FILE})
#else(GDCM_FOUND)
#    message(FATAL_ERROR "GDCM 2 not found")
#endif(GDCM_FOUND)


#Check Qt4 Library [Qt4] (4.4.0)
find_package(Qt4 REQUIRED)
if(QT_FOUND)
	include(${QT_USE_FILE})
else(QT_FOUND)
    message(FATAL ERROR "Qt4 not found")
endif(QT_FOUND)

#Check VTK Library [Visualization ToolKit]
find_package(VTK REQUIRED)
if(VTK_FOUND)
    include(${VTK_USE_FILE})
else(VTK_FOUND)
    message(FATAL ERROR "VTK not found")
endif(VTK_FOUND)

#TODO Check QVTK

configure_file(${CMAKE_SOURCE_DIR}/Nifti2DicomConfig.h.cmake ${CMAKE_BINARY_DIR}/Nifti2DicomConfig.h)

include_directories(${CMAKE_BINARY_DIR})

#TODO add DebugFull
if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebugInfo")
  message(STATUS "DEBUG ENABLED")
  add_definitions("-DDEBUG")
endif() #TODO this endif?


add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(data)

=== src/core/CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.


set(nifti2dicom_SOURCES nifti2dicom.cxx
                        n2dVersion.cxx
                        n2dToolsMetaDataDictionary.cxx
                        n2dToolsDate.cxx
                        n2dCommandLineParser.cxx
                        n2dAccessionNumberValidator.cxx
                        n2dHeaderImporter.cxx
                        n2dDicomClass.cxx
                        n2dOtherDicomTags.cxx
                        n2dPatient.cxx
                        n2dStudy.cxx
                        n2dSeries.cxx
                        n2dAcquisition.cxx
                        n2dInputImporter.cxx
                        n2dInputFilter.cxx
                        n2dInstance.cxx
                        n2dOutputExporter.cxx
)

set(nifti2dicom_NO_INSTALL_HEADERS ${CMAKE_BINARY_DIR}/Nifti2DicomConfig.h
                                   n2dVersion.h
                                   n2dDefsCommandLineArgsStructs.h
                                   n2dDefsImage.h
                                   n2dDefsMetadata.h
                                   n2dToolsMetaDataDictionary.h
                                   n2dToolsDate.h
                                   n2dCommandLineParser.h
                                   n2dAccessionNumberValidator.h
                                   n2dHeaderImporter.h
                                   n2dDicomClass.h
                                   n2dOtherDicomTags.h
                                   n2dPatient.h
                                   n2dStudy.h
                                   n2dSeries.h
                                   n2dAcquisition.h
                                   n2dInputImporter.h
                                   n2dInputFilter.h
                                   n2dInstance.h
                                   n2dOutputExporter.h
)


# nifti2dicom target
add_executable(nifti2dicom ${nifti2dicom_SOURCES})
target_link_libraries(nifti2dicom ITKIO ITKCommon)
install(TARGETS nifti2dicom RUNTIME DESTINATION bin)

=== src/gui/CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2010 Gabriele Arnulfo <gabriele.arnulfo@dist.unige.it>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.


if( APPLE )
    set( PROGNAME qnifti2dicom )
    set( MACOSX_BUNDLE_NAME qnifti2dicom)
    set( MACOSX_BUNDLE_ICON_FILE qnifti2dicom.icns )
    set( MACOSX_BUNDLE_SHORT_VERSION_STRING ${Nifti2Dicom_VERSION} )
    set( MACOSX_BUNDLE_VERSION ${Nifti2Dicom_VERSION})
    set( MACOSX_BUNDLE_LONG_VERSION_STRING Version ${Nifti2Dicom_INTERNAL_VERSION} )
    set( CMAKE_OSX_ARCHITECTURES i386 ) #Comment out if not universal binary
endif( APPLE )

set(nifti2dicom_gui_SOURCES wizard.cpp
                            init.cpp
                            customize.cpp
                            finalize.cpp
                            itkImageToVTKImageFilter.txx
                            qnifti2dicom.cpp
                            vtkKWImageIO.cxx
                            vtkKWImage.cxx
)

set(nifti2dicom_SOURCES ../core/n2dVersion.cxx
                        ../core/n2dToolsMetaDataDictionary.cxx
                        ../core/n2dToolsDate.cxx
                        ../core/n2dCommandLineParser.cxx
                        ../core/n2dAccessionNumberValidator.cxx
                        ../core/n2dHeaderImporter.cxx
                        ../core/n2dDicomClass.cxx
                        ../core/n2dOtherDicomTags.cxx
                        ../core/n2dPatient.cxx
                        ../core/n2dStudy.cxx
                        ../core/n2dSeries.cxx
                        ../core/n2dAcquisition.cxx
                        ../core/n2dInputImporter.cxx
                        ../core/n2dInputFilter.cxx
                        ../core/n2dInstance.cxx
                        ../core/n2dOutputExporter.cxx
)



set(nifti2dicom_gui_NO_INSTALL_HEADERS ${CMAKE_BINARY_DIR}/Nifti2DicomConfig.h
                                       wizard.h
                                       init.h
                                       customize.h
                                       finalize.h
)

set(nifti2dicom_gui_MOC_HDR wizard.h
                            init.h
                            customize.h
                            finalize.h
)

set(nifti2dicom_gui_QRC_RCC resources.qrc)

QT4_WRAP_CPP(nifti2dicom_gui_MOC_SRCS ${nifti2dicom_gui_MOC_HDR})
QT4_ADD_RESOURCES(nifti2dicom_gui_QRC_SRCS ${nifti2dicom_gui_QRC_RCC})

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/../core
                    ${QT_INCLUDE_DIR}
)


if( APPLE )
    add_executable( ${PROGNAME} MACOSX_BUNDLE ${nifti2dicom_gui_SOURCES}
                                              ${nifti2dicom_SOURCES}
                                              ${nifti2dicom_gui_MOC_SRCS}
                                              ${nifti2dicom_gui_UIS_HDR}
                                              ${nifti2dicom_gui_QRC_SRCS})

    set( CONTENTS_DIR ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents)

    add_custom_command( TARGET ${PROGNAME} POST_BUILD
                        #COMMAND mkdir ARGS ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents
                        COMMAND mkdir ARGS ${CONTENTS_DIR}/Frameworks
                        COMMAND mkdir ARGS ${CONTENTS_DIR}/Resources
						COMMAND cp ARGS ${CMAKE_SOURCE_DIR}/data/icons/${MACOSX_BUNDLE_ICON_FILE} ${CONTENTS_DIR}/Resources/
                        COMMAND cp ARGS /Developer/Applications/Qt/Qt\ Creator.app/Contents/Frameworks/libQtCore.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/
                        COMMAND cp ARGS /Developer/Applications/Qt/Qt\ Creator.app/Contents/Frameworks/libQtGui.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/
                        COMMAND cp ARGS /Developer/Applications/Qt/Qt\ Creator.app/Contents/Frameworks/libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/
                        COMMAND cp ARGS /Developer/Applications/Qt/Qt\ Creator.app/Contents/Frameworks/libQtSql.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/
                        COMMAND ln ARGS -s libQtCore.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtCore.4.6.dylib
                        COMMAND ln ARGS -s libQtCore.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtCore.4.dylib
                        COMMAND ln ARGS -s libQtCore.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtCore.dylib
                        COMMAND ln ARGS -s libQtGui.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtGui.4.6.dylib
                        COMMAND ln ARGS -s libQtGui.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtGui.4.dylib
                        COMMAND ln ARGS -s libQtGui.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtGui.dylib
                        COMMAND ln ARGS -s libQtSql.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtSql.4.6.dylib
                        COMMAND ln ARGS -s libQtSql.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtSql.4.dylib
                        COMMAND ln ARGS -s libQtSql.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtSql.dylib
                        COMMAND ln ARGS -s libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtNetwork.4.6.dylib
                        COMMAND ln ARGS -s libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtNetwork.4.dylib
                        COMMAND ln ARGS -s libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtNetwork.dylib
                        COMMAND install_name_tool ARGS -id @executable_path/../Frameworks/libQtCore.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtCore.4.6.2.dylib
                        COMMAND install_name_tool ARGS -id @executable_path/../Frameworks/libQtGui.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtGui.4.6.2.dylib
                        COMMAND install_name_tool ARGS -id @executable_path/../Frameworks/libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtNetwork.4.6.2.dylib
                        COMMAND install_name_tool ARGS -id @executable_path/../Frameworks/libQtSql.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtSql.4.6.2.dylib
                        COMMAND install_name_tool ARGS -change QtGui.framework/Versions/4/QtGui @executable_path/../Frameworks/libQtGui.4.6.2.dylib ${CONTENTS_DIR}/MacOS/qnifti2dicom
                        COMMAND install_name_tool ARGS -change QtCore.framework/Versions/4/QtCore @executable_path/../Frameworks/libQtCore.4.6.2.dylib ${CONTENTS_DIR}/MacOS/qnifti2dicom
                        COMMAND install_name_tool ARGS -change QtSql.framework/Versions/4/QtSql @executable_path/../Frameworks/libQtSql.4.6.2.dylib ${CONTENTS_DIR}/MacOS/qnifti2dicom
                        COMMAND install_name_tool ARGS -change QtNetwork.framework/Versions/4/QtNetwork @executable_path/../Frameworks/libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/MacOS/qnifti2dicom
      )

else( APPLE )
    add_executable(qnifti2dicom ${nifti2dicom_gui_SOURCES} ${nifti2dicom_SOURCES} ${nifti2dicom_gui_MOC_SRCS} ${nifti2dicom_gui_UIS_HDR} ${nifti2dicom_gui_QRC_SRCS})
endif( APPLE )

# nifti2dicom target
target_link_libraries(qnifti2dicom ITKBasicFilters
                                   ITKIO
                                   ITKCommon
                                   ${QT_QTCORE_LIBRARY}
                                   ${QT_QTGUI_LIBRARY}
                                   QVTK
                                   vtkGraphics
                                   vtkHybrid
                                   vtkImaging
                                   vtkFiltering
                                   vtkCommon
                                   vtkRendering
                                   vtkIO
)

if(NOT APPLE)
    install(TARGETS qnifti2dicom RUNTIME DESTINATION bin)
endif(NOT APPLE)

=== debian/changelog ===
nifti2dicom (0.4.5-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 31 Jul 2012 17:36:44 -0400

nifti2dicom (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * Initial release. (Closes: #670171)

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Tue, 31 Jul 2012 12:17:56 +0200

nifti2dicom (0.4.3-2) UNRELEASED; urgency=low

  [ Yaroslav Halchenko ]
  * Build while just keeping that export for hardedning in debian/rules
    while relaxing (removing) versioned dpkg dependency

  [ Daniele E. Domenichelli ]
  * Add libgdcm2-dev to build dependencies

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Tue, 10 Jul 2012 00:03:48 +0200

nifti2dicom (0.4.3-1) UNRELEASED; urgency=low

  * Initial Debian package

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Thu, 28 Jun 2012 17:07:54 +0200

=== debian/control ===
Source: nifti2dicom
Section: science
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
Build-Depends: debhelper (>= 7.3.16),
 cdbs, cmake (>= 2.6.4), libqt4-dev (>= 4.4),
 libinsighttoolkit3-dev, libtclap-dev (>= 1.2.0),
 libvtk5-dev, libvtk5-qt4-dev, libgdcm2-dev
Standards-Version: 3.9.3
Homepage: https://github.com/biolab-unige/nifti2dicom
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/nifti2dicom.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/nifti2dicom.git

Package: nifti2dicom-data
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: data files for nifti2dicom
 This package contains architecture-independent supporting data files
 required for use with nifti2dicom, such as such as documentation, icons,
 and translations.

Package: nifti2dicom
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
 nifti2dicom-data (= ${source:Version})
Description: convert 3D medical images to DICOM 2D series
 Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
 formats supported by ITK, including Analyze, MetaImage Nrrd and VTK)
 to DICOM.
 Unlike other conversion tools, it can import a DICOM file that is used
 to import the patient and study DICOM tags, and allows you to edit the
 accession number and other DICOM tags, in order to create a valid DICOM
 that can be imported in a PACS.
 .
 This package includes the command line tools.

Package: qnifti2dicom
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
 nifti2dicom (= ${binary:Version}), nifti2dicom-data (= ${source:Version})
Description: convert 3D medical images to DICOM 2D series (gui)
 Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
 formats supported by ITK, including Analyze, MetaImage Nrrd and VTK)
 to DICOM.
 Unlike other conversion tools, it can import a DICOM file that is used
 to import the patient and study DICOM tags, and allows you to edit the
 accession number and other DICOM tags, in order to create a valid DICOM
 that can be imported in a PACS.
 .
 This package contains the Qt4 GUI.

## nifti2dicom 0.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,8 @@
 
 set(Nifti2Dicom_MAJOR_VERSION "0")
 set(Nifti2Dicom_MINOR_VERSION "4")
-set(Nifti2Dicom_PATCH_VERSION "5")
-set(Nifti2Dicom_VERSION "0.4.5")
+set(Nifti2Dicom_PATCH_VERSION "6")
+set(Nifti2Dicom_VERSION "0.4.6")
 set(Nifti2Dicom_INTERNAL_VERSION "${Nifti2Dicom_MAJOR_VERSION}.${Nifti2Dicom_MINOR_VERSION}.${Nifti2Dicom_PATCH_VERSION}")

=== src/gui/CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2010 Gabriele Arnulfo <gabriele.arnulfo@dist.unige.it>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.


#if( APPLE )
#    set( PROGNAME qnifti2dicom )
#    set( MACOSX_BUNDLE_NAME qnifti2dicom)
#    set( MACOSX_BUNDLE_ICON_FILE qnifti2dicom.icns )
#    set( MACOSX_BUNDLE_SHORT_VERSION_STRING ${Nifti2Dicom_VERSION} )
#    set( MACOSX_BUNDLE_VERSION ${Nifti2Dicom_VERSION})
#    set( MACOSX_BUNDLE_LONG_VERSION_STRING Version ${Nifti2Dicom_INTERNAL_VERSION} )
#    set( CMAKE_OSX_ARCHITECTURES i386 ) #Comment out if not universal binary
#endif( APPLE )

set(nifti2dicom_gui_SOURCES wizard.cpp
                            init.cpp
                            customize.cpp
                            finalize.cpp
                            itkImageToVTKImageFilter.txx
                            qnifti2dicom.cpp
                            vtkKWImageIO.cxx
                            vtkKWImage.cxx
)

set(nifti2dicom_SOURCES ../core/n2dVersion.cxx
                        ../core/n2dToolsMetaDataDictionary.cxx
                        ../core/n2dToolsDate.cxx
                        ../core/n2dCommandLineParser.cxx
                        ../core/n2dAccessionNumberValidator.cxx
                        ../core/n2dHeaderImporter.cxx
                        ../core/n2dDicomClass.cxx
                        ../core/n2dOtherDicomTags.cxx
                        ../core/n2dPatient.cxx
                        ../core/n2dStudy.cxx
                        ../core/n2dSeries.cxx
                        ../core/n2dAcquisition.cxx
                        ../core/n2dInputImporter.cxx
                        ../core/n2dInputFilter.cxx
                        ../core/n2dInstance.cxx
                        ../core/n2dOutputExporter.cxx
)



set(nifti2dicom_gui_NO_INSTALL_HEADERS ${CMAKE_BINARY_DIR}/Nifti2DicomConfig.h
                                       wizard.h
                                       init.h
                                       customize.h
                                       finalize.h
)

set(nifti2dicom_gui_MOC_HDR wizard.h
                            init.h
                            customize.h
                            finalize.h
)

set(nifti2dicom_gui_QRC_RCC resources.qrc)

QT4_WRAP_CPP(nifti2dicom_gui_MOC_SRCS ${nifti2dicom_gui_MOC_HDR})
QT4_ADD_RESOURCES(nifti2dicom_gui_QRC_SRCS ${nifti2dicom_gui_QRC_RCC})

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/../core
                    ${QT_INCLUDE_DIR}
)


#if( APPLE )
#    add_executable( ${PROGNAME} MACOSX_BUNDLE ${nifti2dicom_gui_SOURCES}
#                                              ${nifti2dicom_SOURCES}
#                                              ${nifti2dicom_gui_MOC_SRCS}
#                                              ${nifti2dicom_gui_UIS_HDR}
#                                              ${nifti2dicom_gui_QRC_SRCS})
#
#    set( CONTENTS_DIR ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents)
#
#    add_custom_command( TARGET ${PROGNAME} POST_BUILD
#                        #COMMAND mkdir ARGS ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents
#                        COMMAND mkdir ARGS ${CONTENTS_DIR}/Frameworks
#                        COMMAND mkdir ARGS ${CONTENTS_DIR}/Resources
#                        COMMAND cp ARGS ${CMAKE_SOURCE_DIR}/data/icons/${MACOSX_BUNDLE_ICON_FILE} ${CONTENTS_DIR}/Resources/
#                        COMMAND cp ARGS /Developer/Applications/Qt/Qt\ Creator.app/Contents/Frameworks/libQtCore.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/
#                        COMMAND cp ARGS /Developer/Applications/Qt/Qt\ Creator.app/Contents/Frameworks/libQtGui.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/
#                        COMMAND cp ARGS /Developer/Applications/Qt/Qt\ Creator.app/Contents/Frameworks/libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/
#                        COMMAND cp ARGS /Developer/Applications/Qt/Qt\ Creator.app/Contents/Frameworks/libQtSql.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/
#                        COMMAND ln ARGS -s libQtCore.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtCore.4.6.dylib
#                        COMMAND ln ARGS -s libQtCore.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtCore.4.dylib
#                        COMMAND ln ARGS -s libQtCore.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtCore.dylib
#                        COMMAND ln ARGS -s libQtGui.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtGui.4.6.dylib
#                        COMMAND ln ARGS -s libQtGui.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtGui.4.dylib
#                        COMMAND ln ARGS -s libQtGui.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtGui.dylib
#                        COMMAND ln ARGS -s libQtSql.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtSql.4.6.dylib
#                        COMMAND ln ARGS -s libQtSql.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtSql.4.dylib
#                        COMMAND ln ARGS -s libQtSql.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtSql.dylib
#                        COMMAND ln ARGS -s libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtNetwork.4.6.dylib
#                        COMMAND ln ARGS -s libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtNetwork.4.dylib
#                        COMMAND ln ARGS -s libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtNetwork.dylib
#                        COMMAND install_name_tool ARGS -id @executable_path/../Frameworks/libQtCore.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtCore.4.6.2.dylib
#                        COMMAND install_name_tool ARGS -id @executable_path/../Frameworks/libQtGui.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtGui.4.6.2.dylib
#                        COMMAND install_name_tool ARGS -id @executable_path/../Frameworks/libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtNetwork.4.6.2.dylib
#                        COMMAND install_name_tool ARGS -id @executable_path/../Frameworks/libQtSql.4.6.2.dylib ${CONTENTS_DIR}/Frameworks/libQtSql.4.6.2.dylib
#                        COMMAND install_name_tool ARGS -change QtGui.framework/Versions/4/QtGui @executable_path/../Frameworks/libQtGui.4.6.2.dylib ${CONTENTS_DIR}/MacOS/qnifti2dicom
#                        COMMAND install_name_tool ARGS -change QtCore.framework/Versions/4/QtCore @executable_path/../Frameworks/libQtCore.4.6.2.dylib ${CONTENTS_DIR}/MacOS/qnifti2dicom
#                        COMMAND install_name_tool ARGS -change QtSql.framework/Versions/4/QtSql @executable_path/../Frameworks/libQtSql.4.6.2.dylib ${CONTENTS_DIR}/MacOS/qnifti2dicom
#                        COMMAND install_name_tool ARGS -change QtNetwork.framework/Versions/4/QtNetwork @executable_path/../Frameworks/libQtNetwork.4.6.2.dylib ${CONTENTS_DIR}/MacOS/qnifti2dicom
#      )
#
#else( APPLE )
    add_executable(qnifti2dicom ${nifti2dicom_gui_SOURCES} ${nifti2dicom_SOURCES} ${nifti2dicom_gui_MOC_SRCS} ${nifti2dicom_gui_UIS_HDR} ${nifti2dicom_gui_QRC_SRCS})
#endif( APPLE )

# nifti2dicom target
target_link_libraries(qnifti2dicom ${ITK_LIBRARIES} 
                                   ${QT_QTCORE_LIBRARY}
                                   ${QT_QTGUI_LIBRARY}
                                   QVTK
                                   vtkGraphics
                                   vtkHybrid
                                   vtkImaging
                                   vtkFiltering
                                   vtkCommon
                                   vtkRendering
                                   vtkIO
)

#if(NOT APPLE)
    install(TARGETS qnifti2dicom RUNTIME DESTINATION bin)
#endif(NOT APPLE)

=== debian/changelog ===
nifti2dicom (0.4.6-1) unstable; urgency=low

  * New upstream release.
  * Build with libinsighttoolkit4-dev (>= 4.3.0) or libinsighttoolkit3-dev.
  * Add libfftw3-dev to build dependencies.
  * Bump Standards-Version to 3.9.4; no changes needed.

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Fri, 21 Jun 2013 16:34:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: nifti2dicom
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
+Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
 Build-Depends: debhelper (>= 7.3.16),
  cdbs, cmake (>= 2.6.4), libqt4-dev (>= 4.4),
- libinsighttoolkit3-dev, libtclap-dev (>= 1.2.0),
- libvtk5-dev, libvtk5-qt4-dev, libgdcm2-dev
-Standards-Version: 3.9.3
+ libinsighttoolkit4-dev (>= 4.3.0) | libinsighttoolkit3-dev, libtclap-dev (>= 1.2.0),
+ libvtk5-dev, libvtk5-qt4-dev, libgdcm2-dev, libfftw3-dev
+Standards-Version: 3.9.4
 Homepage: https://github.com/biolab-unige/nifti2dicom
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/nifti2dicom.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/nifti2dicom.git
 
 Package: nifti2dicom-data
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: data files for nifti2dicom
  This package contains architecture-independent supporting data files
  required for use with nifti2dicom, such as such as documentation, icons,
@@ -22,7 +21,7 @@
 
 Package: nifti2dicom
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends},
  nifti2dicom-data (= ${source:Version})
 Description: convert 3D medical images to DICOM 2D series
  Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
@@ -37,7 +36,7 @@
 
 Package: qnifti2dicom
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends},
  nifti2dicom (= ${binary:Version}), nifti2dicom-data (= ${source:Version})
 Description: convert 3D medical images to DICOM 2D series (gui)
  Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

## nifti2dicom 0.4.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,13 +17,13 @@
 #  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.
 
 
-cmake_minimum_required(VERSION 2.6.2)
+cmake_minimum_required(VERSION 2.6.4)
 project(Nifti2Dicom)
 
 set(Nifti2Dicom_MAJOR_VERSION "0")
 set(Nifti2Dicom_MINOR_VERSION "4")
-set(Nifti2Dicom_PATCH_VERSION "6")
-set(Nifti2Dicom_VERSION "0.4.6")
+set(Nifti2Dicom_PATCH_VERSION "7")
+set(Nifti2Dicom_VERSION "0.4.7")
 set(Nifti2Dicom_INTERNAL_VERSION "${Nifti2Dicom_MAJOR_VERSION}.${Nifti2Dicom_MINOR_VERSION}.${Nifti2Dicom_PATCH_VERSION}")
 
 
@@ -41,39 +41,15 @@
 
 
 # Check ITK Library [Insight ToolKit] (3.17.0)
-find_package(ITK)
-if(ITK_FOUND)
-    include(${ITK_USE_FILE})
-else(ITK_FOUND)
-    message(FATAL_ERROR "ITK not found")
-endif(ITK_FOUND)
-
-
-#TODO Check GDCM Library [Grassroots DiCoM] (2.1.13)
-#find_package(GDCM REQUIRED)
-#message("GDCM_VERSION = " ${GDCM_VERSION})
-#if(GDCM_FOUND)
-#    include(${GDCM_USE_FILE})
-#else(GDCM_FOUND)
-#    message(FATAL_ERROR "GDCM 2 not found")
-#endif(GDCM_FOUND)
-
+find_package(ITK REQUIRED)
+include(${ITK_USE_FILE})
 
 #Check Qt4 Library [Qt4] (4.4.0)
-find_package(Qt4 REQUIRED)
-if(QT_FOUND)
-	include(${QT_USE_FILE})
-else(QT_FOUND)
-    message(FATAL ERROR "Qt4 not found")
-endif(QT_FOUND)
+find_package(Qt4 4.4.0 REQUIRED)
 
 #Check VTK Library [Visualization ToolKit]
 find_package(VTK REQUIRED)
-if(VTK_FOUND)
-    include(${VTK_USE_FILE})
-else(VTK_FOUND)
-    message(FATAL ERROR "VTK not found")
-endif(VTK_FOUND)
+include(${VTK_USE_FILE})
 
 #TODO Check QVTK

=== data/CMakeLists.txt ===
install(FILES qnifti2dicom.desktop DESTINATION share/applications)
add_subdirectory(icons)

=== doc/CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.



# Build documentation if doxygen and graphviz are found
find_package(Doxygen)
if (DOXYGEN_FOUND AND DOXYGEN_DOT_FOUND)
    message(STATUS "To build documentation run the 'doc' target")
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile")
add_custom_target(doc ${DOXYGEN_EXECUTABLE} "Doxyfile")
else (DOXYGEN_FOUND AND DOXYGEN_DOT_FOUND)
    message(STATUS "You will need both doxygen and graphviz 'dot' to build documentation")
endif (DOXYGEN_FOUND AND DOXYGEN_DOT_FOUND)



# Build manpage
option(ENABLE_REGENERATE_MAN "Enable regenerate_man target" FALSE)
mark_as_advanced(ENABLE_REGENERATE_MAN)

if(ENABLE_REGENERATE_MAN)

    # Find help2man
    find_file(HELP2MAN_EXECUTABLE help2man HINTS /bin /usr/bin /usr/local/bin)
    if(NOT HELP2MAN_EXECUTABLE)
        message(FATAL_ERROR "To enable the regenerate_man target you need to install help2man")
    endif(NOT HELP2MAN_EXECUTABLE)

    # Find sed
    find_file(SED_EXECUTABLE sed HINTS /bin /usr/bin /usr/local/bin)
    if(NOT SED_EXECUTABLE)
        message(FATAL_ERROR "To enable the regenerate_man target you need to install sed")
    endif(NOT SED_EXECUTABLE)

    add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1
                       DEPENDS nifti2dicom ${CMAKE_CURRENT_SOURCE_DIR}/man/nifti2dicom.help2man.include
                       COMMAND ${HELP2MAN_EXECUTABLE}
                               ${CMAKE_BINARY_DIR}/src/core/nifti2dicom
                               --version-string=${Nifti2Dicom_VERSION}
                               --no-info
                               --include=${CMAKE_CURRENT_SOURCE_DIR}/man/nifti2dicom.help2man.include
                               --output=${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1
                       COMMAND ${SED_EXECUTABLE} -i "s#${CMAKE_BINARY_DIR}/src/core/##g" ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1
    )
    add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1
                       DEPENDS qnifti2dicom ${CMAKE_CURRENT_SOURCE_DIR}/man/qnifti2dicom.help2man.include
                       COMMAND ${HELP2MAN_EXECUTABLE}
                               ${CMAKE_BINARY_DIR}/src/gui/qnifti2dicom
                               --version-string=${Nifti2Dicom_VERSION}
                               --no-info
                               --include=${CMAKE_CURRENT_SOURCE_DIR}/man/qnifti2dicom.help2man.include
                               --output=${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1
                       COMMAND ${SED_EXECUTABLE} -i "s#${CMAKE_BINARY_DIR}/src/gui/##g" ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1
    )
    add_custom_target(regenerate_man SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1
                                             ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1
    )
endif(ENABLE_REGENERATE_MAN)

find_file(GZIP_EXECUTABLE gzip HINTS /bin /usr/bin /usr/local/bin)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man/man1)
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/man/man1/nifti2dicom.1.gz
                   COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1 ${CMAKE_CURRENT_BINARY_DIR}/man/man1/nifti2dicom.1
                   COMMAND ${GZIP_EXECUTABLE} -9 -f ${CMAKE_CURRENT_BINARY_DIR}/man/man1/nifti2dicom.1
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1
)
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/man/man1/qnifti2dicom.1.gz
                   COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1 ${CMAKE_CURRENT_BINARY_DIR}/man/man1/qnifti2dicom.1
                   COMMAND ${GZIP_EXECUTABLE} -9 -f ${CMAKE_CURRENT_BINARY_DIR}/man/man1/qnifti2dicom.1
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1
)

add_custom_target(manpages ALL SOURCES ${CMAKE_CURRENT_BINARY_DIR}/man/man1/nifti2dicom.1.gz
                                       ${CMAKE_CURRENT_BINARY_DIR}/man/man1/qnifti2dicom.1.gz)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/man/man1/nifti2dicom.1.gz DESTINATION share/man/man1)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/man/man1/qnifti2dicom.1.gz DESTINATION share/man/man1)

=== src/CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.


add_subdirectory(core)
add_subdirectory(gui)

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -61,5 +61,5 @@
 
 # nifti2dicom target
 add_executable(nifti2dicom ${nifti2dicom_SOURCES})
-target_link_libraries(nifti2dicom ITKIO ITKCommon)
+target_link_libraries(nifti2dicom ${ITK_LIBRARIES})
 install(TARGETS nifti2dicom RUNTIME DESTINATION bin)

=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -122,7 +122,11 @@
 #      )
 #
 #else( APPLE )
-    add_executable(qnifti2dicom ${nifti2dicom_gui_SOURCES} ${nifti2dicom_SOURCES} ${nifti2dicom_gui_MOC_SRCS} ${nifti2dicom_gui_UIS_HDR} ${nifti2dicom_gui_QRC_SRCS})
+    add_executable(qnifti2dicom ${nifti2dicom_gui_SOURCES}
+                                ${nifti2dicom_SOURCES}
+                                ${nifti2dicom_gui_MOC_SRCS}
+                                ${nifti2dicom_gui_UIS_HDR}
+                                ${nifti2dicom_gui_QRC_SRCS})
 #endif( APPLE )
 
 # nifti2dicom target

=== debian/changelog ===
nifti2dicom (0.4.7-2) unstable; urgency=medium

  * Build with libinsighttoolkit4-dev only on amd64 and i386.
    Insighttoolkit4 package is not build on different architectures.
  * Restore dependency on libfftw3-dev. This is necessary when building
    with libinsighttoolkit3-dev, due to #740628.
  * Refresh nd-backport.patch.

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Tue, 04 Mar 2014 15:01:57 +0100

nifti2dicom (0.4.7-1) unstable; urgency=low

  * New upstream release. (Closes: #729020)
  * Bump Standards-Version to 3.9.5; no changes needed.
  * Remove libgdcm2-dev and libfftw3-dev from b-d (Closes: #731925)
  * Add neurodebian backport patches
  * Do not modify CMakeLists from nd-backport.patch. Add
    nd-backport_itk-use-file.patch and fix nd-backport.patch in order to
    modify files only in debian.

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Fri, 03 Jan 2014 18:29:41 +0100

nifti2dicom (0.4.6-2) unstable; urgency=low

  * Link with -Wl,--as-needed. (Closes: #716712)

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Fri, 20 Sep 2013 09:14:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
 Build-Depends: debhelper (>= 7.3.16),
  cdbs, cmake (>= 2.6.4), libqt4-dev (>= 4.4),
- libinsighttoolkit4-dev (>= 4.3.0) | libinsighttoolkit3-dev, libtclap-dev (>= 1.2.0),
- libvtk5-dev, libvtk5-qt4-dev, libgdcm2-dev, libfftw3-dev
-Standards-Version: 3.9.4
+ libinsighttoolkit4-dev (>= 4.3.0) [i386 amd64] | libinsighttoolkit3-dev,
+ libfftw3-dev,
+ libtclap-dev (>= 1.2.0),
+ libvtk5-dev, libvtk5-qt4-dev
+Standards-Version: 3.9.5
 Homepage: https://github.com/biolab-unige/nifti2dicom
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/nifti2dicom.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/nifti2dicom.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
 include /usr/share/cdbs/1/class/cmake.mk

=== debian/watch ===
version=3
http://githubredir.debian.net/github/biolab-unige/nifti2dicom/v(.*).tar.gz

## nifti2dicom 0.4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,8 @@
 
 set(Nifti2Dicom_MAJOR_VERSION "0")
 set(Nifti2Dicom_MINOR_VERSION "4")
-set(Nifti2Dicom_PATCH_VERSION "7")
-set(Nifti2Dicom_VERSION "0.4.7")
+set(Nifti2Dicom_PATCH_VERSION "8")
+set(Nifti2Dicom_VERSION "0.4.8")
 set(Nifti2Dicom_INTERNAL_VERSION "${Nifti2Dicom_MAJOR_VERSION}.${Nifti2Dicom_MINOR_VERSION}.${Nifti2Dicom_PATCH_VERSION}")

=== src/gui/CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2010 Gabriele Arnulfo <gabriele.arnulfo@dist.unige.it>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.


set(qnifti2dicom_SOURCES wizard.cpp
                         init.cpp
                         customize.cpp
                         finalize.cpp
                         itkImageToVTKImageFilter.txx
                         qnifti2dicom.cpp
                         vtkKWImageIO.cxx
                         vtkKWImage.cxx)

set(qnifti2dicom_HEADERS ${CMAKE_BINARY_DIR}/Nifti2DicomConfig.h
                         wizard.h
                         init.h
                         customize.h
                         finalize.h)

set(qnifti2dicom_MOC_HDR wizard.h
                         init.h
                         customize.h
                         finalize.h)

set(qnifti2dicom_QRC_RCC resources.qrc)

qt4_wrap_cpp(qnifti2dicom_MOC_SRCS ${qnifti2dicom_MOC_HDR})
qt4_add_resources(qnifti2dicom_QRC_SRCS ${qnifti2dicom_QRC_RCC})

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/../core
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTGUI_INCLUDE_DIR})

add_executable(qnifti2dicom ${qnifti2dicom_SOURCES}
                            ${qnifti2dicom_HEADERS}
                            ${qnifti2dicom_MOC_SRCS}
                            ${qnifti2dicom_UIS_HDR}
                            ${qnifti2dicom_QRC_SRCS})

# qnifti2dicom target
target_link_libraries(qnifti2dicom nifti2dicom_core
                                   ${ITK_LIBRARIES}
                                   ${VTK_LIBRARIES}
                                   ${QT_QTCORE_LIBRARY}
                                   ${QT_QTGUI_LIBRARY})

if(VTK_VERSION VERSION_LESS 6.0.0)
    # In VTK 5 QVTK is not in ${VTK_LIBRARIES} variable
    target_link_libraries(qnifti2dicom QVTK)
endif()

install(TARGETS qnifti2dicom RUNTIME DESTINATION bin)

=== debian/changelog ===
nifti2dicom (0.4.8-1~nd14.04+1) trusty; urgency=low

  * Backported for trusty.
  * Applied additional patch from debian/patches/trusty-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 05 Jun 2014 01:59:53 -0400

nifti2dicom (0.4.8-1) unstable; urgency=medium

  * New upstream release.
  * Change VTK  b-d to libvtk6-dev | libvtk5-qt4-dev.
  * Refresh nd-backport.patch.
  * Add backport patch for Ubuntu trusty.

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Thu, 05 Jun 2014 00:37:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: nifti2dicom
 Section: science
 Priority: optional
-Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
 Build-Depends: debhelper (>= 7.3.16),
  cdbs, cmake (>= 2.6.4), libqt4-dev (>= 4.4),
  libinsighttoolkit4-dev (>= 4.3.0) [i386 amd64] | libinsighttoolkit3-dev,
  libfftw3-dev,
  libtclap-dev (>= 1.2.0),
- libvtk5-dev, libvtk5-qt4-dev
+ libvtk6-dev, libpython2.7-dev, libqt4-opengl-dev
 Standards-Version: 3.9.5
 Homepage: https://github.com/biolab-unige/nifti2dicom
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/nifti2dicom.git
@@ -15,7 +16,7 @@
 
 Package: nifti2dicom-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}
 Description: data files for nifti2dicom
  This package contains architecture-independent supporting data files
  required for use with nifti2dicom, such as such as documentation, icons,
@@ -23,7 +24,7 @@
 
 Package: nifti2dicom
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
  nifti2dicom-data (= ${source:Version})
 Description: convert 3D medical images to DICOM 2D series
  Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
@@ -38,7 +39,7 @@
 
 Package: qnifti2dicom
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
  nifti2dicom (= ${binary:Version}), nifti2dicom-data (= ${source:Version})
 Description: convert 3D medical images to DICOM 2D series (gui)
  Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
